<?php
	require_once("Vendedor.class.php");
	require_once("Cliente.class.php");
	
	class Rota {
		
		private $nroRota;
		private $descricao;
		private $vendedor;
		private $diaSemana;
		private $ordem;
		private $cliente;
		private $semana;
		private $dataUltVisita;
		private $sitUltVisita;
		private $valUltVisita;

		public function __construct() {
			$this->setNroRota("");
			$this->setDescricao("");
			$this->setVendedor(new Vendedor());
			$this->setDiaSemana("");
			$this->setOrdem("");
			$this->setCliente(new Cliente());
			$this->setSemana("");
			$this->setDataUltVisita("");
			$this->setSitUltVisita("");
			$this->setValUltVisita("");
		}
		
		public function getNroRota(){
			return $this->nroRota;
		}

		public function setNroRota($nroRota){
			$this->nroRota = $nroRota;
		}

		public function getDescricao(){
			return $this->descricao;
		}

		public function setDescricao($descricao){
			$this->descricao = $descricao;
		}

		public function getVendedor(){
			return $this->vendedor;
		}

		public function setVendedor($vendedor){
			$this->vendedor = $vendedor;
		}
		
		public function getDiaSemana(){
			return $this->diaSemana;
		}

		public function setDiaSemana($diaSemana){
			$this->diaSemana = $diaSemana;
		}

		public function getOrdem(){
			return $this->ordem;
		}

		public function setOrdem($ordem){
			$this->ordem = $ordem;
		}

		public function getCliente(){
			return $this->cliente;
		}

		public function setCliente($cliente){
			$this->cliente = $cliente;
		}

		public function getSemana(){
			return $this->semana;
		}

		public function setSemana($semana){
			$this->semana = $semana;
		}

		public function getDataUltVisita(){
			return $this->dataUltVisita;
		}

		public function setDataUltVisita($dataUltVisita){
			$this->dataUltVisita = $dataUltVisita;
		}

		public function getSitUltVisita(){
			return $this->sitUltVisita;
		}

		public function setSitUltVisita($sitUltVisita){
			$this->sitUltVisita = $sitUltVisita;
		}
		
		public function getValUltVisita(){
			return $this->valUltVisita;
		}
		
		public function setValUltVisita($valUltVisita){
			$this->valUltVisita = $valUltVisita;
		}
		
		

	}
	
?>